💎

Ruby 3.2 - インストール

2022/12/05に公開約800字

Ruby 3.2 アドベントカレンダーの6日目の記事です。

https://qiita.com/advent-calendar/2022/ruby32


インストール

libyaml と libffi が同梱されない

Feature #18571: Removed the bundled sources from release package after Ruby 3.2 - Ruby master - Ruby Issue Tracking System

libyaml と libffi ライブラリが同梱されなくなったので、OS に libyaml-dev や libffi-dev 等がインストールされてないと、psych と fiddle ライブラリがインストールされない。

これらのライブラリが必要な場合は、configure 時に --with-ext=psych,fiddle,+ をつけておいた方がいいかも。インストール時にエラーになって気づけるので。

YJIT に Rust が必要

Feature #18481: Porting YJIT to Rust (request for feedback) - Ruby master - Ruby Issue Tracking System

YJIT に Rust が必要になったので、Rust が入ってない環境でビルドすると YJIT 機能を含まないバイナリが作成される。

configure 時に --enable-yjit をつけておくと Rust が無い環境だとビルド時にエラーになるので気づけて良さそう。

Discussion

ログインするとコメントできます